> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an order

> Create a catalog order (V2) for your company.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /orders
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /orders:
    post:
      tags:
        - Orders
      summary: Create an order
      description: Create a catalog order (V2) for your company.
      operationId: createOrder
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrderBody'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatedOrder_Output'
components:
  schemas:
    CreateOrderBody:
      type: object
      properties:
        initiatorEmail:
          description: Email of the order initiator (defaults to the first company admin)
          anyOf:
            - type: string
            - type: 'null'
        countryCode:
          description: Catalog country code (lowercase ISO 3166-1 alpha-2)
          type: string
        data:
          type: object
          properties:
            employeeId:
              description: Employee the order is for (null for a stock order)
              anyOf:
                - type: string
                - type: 'null'
            onboardingId:
              anyOf:
                - type: string
                - type: 'null'
            status:
              description: Must be PLACED
              type: string
              enum:
                - PLACED
                - CONFIRMED
                - SHIPPED
                - CLOSED
                - CANCELED
            source:
              type: string
              enum:
                - COCKPIT
                - RETOOL
            shippingAddressType:
              anyOf:
                - type: string
                  enum:
                    - OFFICE
                    - HOME
                    - NEW
                - type: 'null'
            shippingAddress:
              type: object
              properties:
                name:
                  anyOf:
                    - type: string
                    - type: 'null'
                contactName:
                  anyOf:
                    - type: string
                    - type: 'null'
                phone:
                  anyOf:
                    - type: string
                    - type: 'null'
                street:
                  type: string
                  minLength: 1
                complement:
                  anyOf:
                    - type: string
                    - type: 'null'
                postalCode:
                  type: string
                  minLength: 1
                city:
                  type: string
                  minLength: 1
                country:
                  anyOf:
                    - type: string
                    - type: 'null'
                countryCode:
                  anyOf:
                    - type: string
                    - type: 'null'
                type:
                  anyOf:
                    - type: string
                      enum:
                        - HOME
                        - WORK
                    - type: 'null'
              required:
                - phone
                - street
                - postalCode
                - city
            billingProfileId:
              description: 'Required: an eligible company billing profile id'
              type: string
              minLength: 1
            notificationEmails:
              type: array
              items:
                type: string
            internalComment:
              anyOf:
                - type: string
                - type: 'null'
            companyComment:
              anyOf:
                - type: string
                - type: 'null'
            appleCareEnterprise:
              anyOf:
                - type: string
                - type: 'null'
            companyPurchaseNumber:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - status
            - source
            - shippingAddress
            - billingProfileId
        products:
          type: array
          items:
            type: object
            properties:
              id:
                description: Catalog product id
                type: string
              variantId:
                description: Selected product variant id
                type: string
              supplierId:
                description: Supplier id for this product
                type: string
              hasZTD:
                type: boolean
              configuration:
                type: object
                properties:
                  enableZTD:
                    type: boolean
                  enableACE:
                    type: boolean
                required:
                  - enableZTD
                  - enableACE
            required:
              - id
              - variantId
              - supplierId
              - configuration
        enableInvitationReminder:
          type: object
          properties:
            enabled:
              type: boolean
            sendCopyToPersonalEmail:
              type: boolean
          required:
            - enabled
            - sendCopyToPersonalEmail
      required:
        - data
    CreatedOrder_Output:
      type: object
      properties:
        id:
          type: string
        reference:
          type: string
        status:
          type: string
          enum:
            - PLACED
            - CONFIRMED
            - SHIPPED
            - CLOSED
            - CANCELED
      required:
        - id
        - reference
        - status
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````